/**
 * my-library
 * my library example application
 *
 * The version of the OpenAPI document: 1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AuthorDTO } from './authorDTO';
import { BookCategory } from './bookCategory';


export interface BookDTO { 
    creationDate?: string;
    creationUser?: string;
    modificationDate?: string;
    modificationUser?: string;
    version?: number;
    id?: number;
    authorDTO?: AuthorDTO & object;
    bookCategory?: BookCategory & object;
    /**
     * ISBN of the book
     */
    iSBN?: string;
    /**
     * Status wheather teh book is available right now
     */
    isAvailable?: boolean;
    /**
     * Number of pages in the book
     */
    numOfPages?: number;
    /**
     * Title of the book
     */
    title?: string;
    available?: boolean;
}

